com.informix.asf

## Class HttpBufferedOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.BufferedOutputStream
      - - com.informix.asf.HttpBufferedOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class HttpBufferedOutputStream
    extends java.io.BufferedOutputStream

### Field Summary

### Fields inherited from class java.io.BufferedOutputStream

`buf, count`

### Fields inherited from class java.io.FilterOutputStream

`out`

### Constructor Summary

Constructors
Constructor and Description
`HttpBufferedOutputStream(java.io.ByteArrayOutputStream os, HttpConnection http, java.lang.String id)`

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `sendOOBData()`
`void` `write(byte[] b, int offset, int length)`
`void` `write(int i)`

### Methods inherited from class java.io.FilterOutputStream

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpBufferedOutputStream

    public HttpBufferedOutputStream(java.io.ByteArrayOutputStream os,
                            HttpConnection http,
                            java.lang.String id)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### write

    public final void write(int i)
                     throws java.io.IOException

Overrides:
  `write` in class `java.io.BufferedOutputStream`
Throws:
  `java.io.IOException`

#### write

    public final void write(byte[] b,
             int offset,
             int length)
                     throws java.io.IOException

Overrides:
  `write` in class `java.io.BufferedOutputStream`
Throws:
  `java.io.IOException`

#### flush

    public final void flush()
                     throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.BufferedOutputStream`
Throws:
  `java.io.IOException`

#### close

    public final void close()
                     throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`

#### sendOOBData

    public final void sendOOBData()
                           throws java.io.IOException

Throws:
  `java.io.IOException`